%global fontname gubbi
%global fontconf 65-0-%{fontname}.conf

Summary:        Free Kannada Opentype serif font
Name:           %{fontname}-fonts
Version:        1.3
Release:        5%{?dist}
License:        GPLv3+ with exceptions
URL:            https://github.com/aravindavk/Gubbi
Source0:        %{url}/archive/v%{version}.tar.gz#/%{fontname}-%{version}.tar.gz
Source1:        65-0-gubbi.conf
Source2:        %{fontname}.metainfo.xml

BuildRequires:  make fontforge fontpackages-devel
Requires:       fontpackages-filesystem

BuildArch:      noarch

%description
This package provides a free Kannada opentype serif font.

%prep
%autosetup -n Gubbi-%{version} -p1

%build
%make_build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_confdir}

install -Dm 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -Dm 0644 -p %{SOURCE2} \
       %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%files
%license COPYING
%doc ChangeLog README
%{_fontconfig_templatedir}/*.conf
%{_fontconfig_confdir}/*.conf
%{_fontbasedir}/%{fontname}/*.ttf
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 1.3-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Shuo Wang <abushwang@tencent.com> - 1.3-1
- initial build
